# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Fcntl.pm) perl(File/stat.pm) perl(FindBin.pm) perl(Perl/Tidy.pm) perl(Sys/Hostname.pm) perl(Test/LeakTrace.pm) perl(Text/Diff.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
# Upstream returns to 2-digit form repeatedly
%global cpan_version_major 0.31
%global cpan_version_minor 5
%global cpan_version %{cpan_version_major}%{cpan_version_minor}

Name:           perl-KinoSearch
Version:        %{cpan_version_major}%{?cpan_version_minor:.}%{cpan_version_minor}
Release:        alt2_4
Epoch:          1
Summary:        Search engine library
# ApacheLicense2.0.txt included is included just becuase the upstream
# author decided to include it and is only for informative purposes.
# We believe that it doesn't apply, since author didn't use any Lucene
# code (according to mail in LICENSING.mbox)
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/KinoSearch/
Source0:        http://www.cpan.org/authors/id/C/CR/CREAMYG/KinoSearch-%{cpan_version}.tar.gz
Source1:        LICENSING.mbox
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Devel/PPPort.pm)
BuildRequires:  perl(Env.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(ExtUtils/ParseXS.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec/Functions.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Scalar/Util.pm)
# Run-time
BuildRequires:  perl(Compress/Zlib.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(IO/Select.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(JSON/XS.pm)
BuildRequires:  perl(Lingua/Stem/Snowball.pm)
BuildRequires:  perl(Lingua/StopWords.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Parse/RecDescent.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Time/HiRes.pm)
Requires:       perl(Data/Dumper.pm)
Requires:       perl(JSON/XS.pm) >= 1.53
Requires:       perl(Lingua/Stem/Snowball.pm) >= 0.952
Requires:       perl(Lingua/StopWords.pm) >= 0.09


# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\(JSON::XS\\)$/d

%description
KinoSearch is a loose port of the Java search engine library Apache Lucene,
written in Perl and C. The archetypal application is website search, but it
can be put to many different uses.

%prep
%setup -q -n KinoSearch-%{cpan_version}
cp %{SOURCE1} LICENSING.mbox

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

rm -f $RPM_BUILD_ROOT/%{perl_vendorarch}/auto/KinoSearch/KinoSearch.bs

# %{_fixperms} $RPM_BUILD_ROOT/*


%files
%doc Changes README ApacheLicense2.0.txt LICENSING.mbox
%{perl_vendorarch}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1:0.31.5-alt2_4
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1:0.31.5-alt2_3
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1:0.31.5-alt1_3
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 1:0.31-alt1_4
- fc import

